Delete a support package

delhttps://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/supportPackages/:package_name

Permanently deletes the specified support package from blob storage.

RBAC Capability Required: fleet.device.delete

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
namestringRequired
package_namestringRequired

Response

204Support package deleted.

No response body.

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…